package com.jsf.test;

import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.jsf.test.model.User;

@SuppressWarnings("serial")
@ManagedBean(name="userBean")
@ViewScoped
public class UserManagedBean implements Serializable {
	private static final Logger LOG = LoggerFactory.getLogger(UserManagedBean.class);
	
    protected User user;

    @PostConstruct
    public void init() {
    	LOG.debug("UserBean.init() called");
    	user = new User();
    	user.setFirstName("John");
    	user.setLastName("Smith");
    }
    
    public void submit() {
    	LOG.debug("UserBean.submit() called");
    	FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "UserBean.submit() called", null));
    }

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
}
