package com.jsf.test.servlet;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.slf4j.bridge.SLF4JBridgeHandler;

@SuppressWarnings("serial")
public class SLF4JBridgeHandlerInstallerServlet extends HttpServlet implements Servlet {
	private static Logger log = LoggerFactory.getLogger(SLF4JBridgeHandlerInstallerServlet.class);

	public SLF4JBridgeHandlerInstallerServlet() {
		super();
	}

	@Override
	public void init(ServletConfig config) throws ServletException {
		try {
			SLF4JBridgeHandler.install();
			log.debug("init() OK!");
		} catch (Throwable e) {
			log.error("init() KO: " + e);
		}
	}

	@Override
	public void destroy() {
		try {
			SLF4JBridgeHandler.uninstall();
			log.debug("destroy() OK!");
		} catch (Throwable e) {
			log.error("destroy() KO: " + e);
		}
		super.destroy();
	}
}
